export declare enum S3DataType {
    BYTE = "BYTE",
    DATE = "DATE",
    TIME = "TIME",
    DATETIME = "DATETIME",
    INT1 = "INT1",
    INT2 = "INT2",
    INT4 = "INT4",
    INT8 = "INT8",
    NUMERIC = "NUMERIC",
    REAL4 = "REAL4",
    REAL8 = "REAL8",
    STRING = "STRING",
    UINT1 = "UINT1",
    UINT2 = "UINT2",
    UINT4 = "UINT4",
    UINT8 = "UINT8",
    BLOB = "BLOB",
    CLOB = "CLOB",
    BOOLEAN = "BOOLEAN"
}
export interface TableColumnProps {
    readonly columnName: string;
    readonly columnType: S3DataType;
    readonly columnLength?: number;
    readonly columnNullable?: boolean;
    readonly columnIsPk?: boolean;
    readonly columnDateFormat?: string;
    readonly columnPrecision?: number;
    readonly columnScale?: number;
}
export declare class TableColumn {
    columnName: string;
    columnType: S3DataType;
    columnLength?: number;
    columnNullable?: boolean;
    columnIsPk?: boolean;
    columnDateFormat?: string;
    columnPrecision?: number;
    columnScale?: number;
    constructor(props: TableColumnProps);
    format(): any;
}
export interface TableProps {
    readonly tableName: string;
    readonly tablePath: string;
    readonly tableOwner: string;
    readonly tableColumns: TableColumn[];
}
export declare class Table {
    tableName: string;
    tablePath: string;
    tableOwner: string;
    tableColumns: TableColumn[];
    constructor(props: TableProps);
    format(): any;
}
export declare class S3Schema {
    tables: Table[];
    constructor(tables?: Table[]);
    addTable(table: Table): void;
    format(): any;
    toJSON(): string;
}
