import { ObjectLocator, Rule, RuleProps } from './base';
export declare enum RuleType {
    TABLE_SETTINGS = "table-settings"
}
export interface TableSettingsObjectLocator extends ObjectLocator {
}
export interface ParallelLoad {
    readonly type: 'partitions-auto' | 'subpartitions-auto' | 'partitions-list' | 'ranges' | 'none';
    readonly numberOfPartitions?: number;
    readonly collectionCountFromMetadata?: boolean;
    readonly maxRecordsSkipPerPage?: number;
    readonly batchSize?: number;
    readonly partitions?: string[];
    readonly subpartitions?: string[];
    readonly columns?: string[];
    readonly boundaries?: any[][];
}
export interface LobSettings {
    readonly mode?: 'limited' | 'unlimited' | 'none';
    readonly bulkMaxSize?: number;
}
export interface TableSettingsProps extends RuleProps {
    readonly parallelLoad?: ParallelLoad;
    readonly lobSettings?: LobSettings;
    readonly objectLocator: TableSettingsObjectLocator;
}
export declare class TableSettings extends Rule {
    objectLocator: TableSettingsObjectLocator;
    parallelLoad?: ParallelLoad;
    lobSettings?: LobSettings;
    ruleType: string;
    constructor(props: TableSettingsProps);
    format(): any;
}
