import * as dms from 'aws-cdk-lib/aws-dms';
import { Construct } from 'constructs';
import { TableMappings, TaskSettings } from './core';
import { MySqlEndpoint, MySqlSettings, S3TargetEndpoint, S3TargetEndpointSettings } from './endpoints';
export interface MySql2S3Props {
    readonly databaseName: string;
    readonly mySqlSourceEndpointSettings: MySqlSettings;
    readonly bucketArn: string;
    readonly s3targetEndpointSettings?: S3TargetEndpointSettings;
    readonly tableMappings: TableMappings;
    readonly taskSettings?: TaskSettings;
    readonly replicationSettings?: any;
    readonly computeConfig?: dms.CfnReplicationConfig.ComputeConfigProperty;
    readonly replicationConfigIdentifier: string;
}
export declare class MySql2S3 extends Construct {
    source: MySqlEndpoint;
    target: S3TargetEndpoint;
    constructor(scope: Construct, id: string, props: MySql2S3Props);
}
