import * as dms from 'aws-cdk-lib/aws-dms';
import { Construct } from 'constructs';
import { TableMappings, TaskSettings } from './core';
import { PostgreSQLEndpoint, PostgreSqlSettings, S3TargetEndpoint, S3TargetEndpointSettings } from './endpoints';
export interface Postgres2S3Props {
    readonly databaseName: string;
    readonly postgresEndpointSettings: PostgreSqlSettings;
    readonly bucketArn: string;
    readonly s3targetEndpointSettings?: S3TargetEndpointSettings;
    readonly tableMappings: TableMappings;
    readonly taskSettings?: TaskSettings;
    readonly replicationSettings?: any;
    readonly computeConfig?: dms.CfnReplicationConfig.ComputeConfigProperty;
    readonly replicationConfigIdentifier: string;
}
export declare class Postgres2S3 extends Construct {
    source: PostgreSQLEndpoint;
    target: S3TargetEndpoint;
    constructor(scope: Construct, id: string, props: Postgres2S3Props);
}
