import * as dms from 'aws-cdk-lib/aws-dms';
import { Construct } from 'constructs';
import { TaskSettings } from './core';
import { TableMappings } from './core/table-mappings';
import { PostgreSQLEndpoint, PostgreSqlSettings, S3SourceEndpoint } from './endpoints';
export interface S32RdsProps {
    /**
      * The name of the S3 bucket to be used as data source.
      */
    readonly databaseName: string;
    /**
      * The settings for the source s3 endpoint.
      */
    readonly postgresEndpointSettings: PostgreSqlSettings;
    /**
     * The name of the S3 bucket to be used as data source.
     */
    readonly bucketArn: string;
    /**
     * The table mappings to be used for the replication.
     */
    readonly tableMappings: TableMappings;
    /**
     * Optional JSON settings for AWS DMS Serverless replications.
     */
    readonly taskSettings?: TaskSettings;
}
export declare class S32Rds extends Construct {
    readonly replicationInstance: dms.CfnReplicationInstance;
    source: S3SourceEndpoint;
    target: PostgreSQLEndpoint;
    constructor(scope: Construct, id: string, props: S32RdsProps);
}
